//
// Created by 范大德 on 2021/10/9.
//

#import <Cordova/CDVInvokedUrlCommand.h>
#import "SGRecordOptions.h"



@implementation SGRecordOptions

+ (instancetype) createFromArguments:(CDVInvokedUrlCommand*)command
{
    SGRecordOptions* options = [[SGRecordOptions alloc] init];
    options.callbackId = command.callbackId;
    options.width = [command argumentAtIndex:0 withDefault:@(360)];
    options.height = [command argumentAtIndex:1 withDefault:@(640)];
    options.frameRate = [command argumentAtIndex:2 withDefault:@(30)];
    options.bitRate = [command argumentAtIndex:3 withDefault: @(options.height.intValue * options.width.intValue * 6)];
    options.limit = [command argumentAtIndex:4 withDefault:@(3)];
    options.duration = [command argumentAtIndex:5 withDefault:@(10)];
    NSLog(@"width:%d - height:%d - frameRate:%d - bitRate:%d limit:%d dutation:%d",
            options.width.intValue,options.height.intValue,options.frameRate.intValue,
            options.bitRate.intValue,options.limit.intValue,options.duration.intValue);
    return options;
}
@end
